Bug 1028916 - Remote Cache Store Configuration (Library Mode) use old configuration from infinispan 5.2 and 5.3
Remote Cache Store Configuration (Library Mode) use old configuration from in...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 03:37 EST by Vitalii Chepeliuk
Modified: 2014-01-15 19:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 12532, Administration and Configuration Guide-6.2-Beta-3 Build Date: 06-11-2013 16:02:50 Topic ID: 8431-473404 [Latest]
Last Closed: 2014-01-15 19:02:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitalii Chepeliuk 2013-11-11 03:37:37 EST
Title: Remote Cache Store Configuration (Library Mode)

Describe the issue:
This configuration use old infinispan 5.2 and 5.3 configuration
<loaders shared="true" 
	 preload="true">
	<loader class="org.infinispan.loaders.remote.RemoteCacheStore">
		<properties>
			<property name="remoteCacheName" 
				  value="default"/>
			<property name="hotRodClientPropertiesFile" 
				  value="hotrod.properties" />
		</properties>
	</loader>
</loaders>

Suggestions for improvement:
There is new way to configure remoteStore for infinispan 6.0
      <persistence passivation="false">
         <remoteStore xmlns="urn:infinispan:config:remote:6.0"
            fetchPersistentState="false" shared="true" preload="false" ignoreModifications="false" purgeOnStartup="false"
            tcpNoDelay="true" pingOnStartup="true"
            balancingStrategy="org.infinispan.client.hotrod.impl.transport.tcp.RoundRobinBalancingStrategy"
            transportFactory="org.infinispan.client.hotrod.impl.transport.tcp.TcpTransportFactory"
            keySizeEstimate="62" valueSizeEstimate="512"
            forceReturnValues="false">
            <servers>
               <server host="127.0.0.1" port="19711"/>
            </servers>
            <connectionPool maxActive="99" maxIdle="97" maxTotal="98" />
            <asyncTransportExecutor factory="org.infinispan.client.hotrod.impl.async.DefaultAsyncExecutorFactory">
              <properties xmlns="urn:infinispan:config:6.0">
                <property name="pool_size" value="1" />
                <property name="queue_size" value="10000" />
              </properties>
            </asyncTransportExecutor>
         </remoteStore>
      </persistence>
Additional information:
Need developers advice here what from this configuration above could be dropped
Comment 2 Misha H. Ali 2013-11-11 18:47:50 EST
Waiting for Tristan to confirm what can be dropped from the new configuration as specified by Vitalii.
Comment 3 Tristan Tarrant 2013-11-13 03:20:10 EST
I'd keep it as follows, as the other options are a bit "advanced":

<persistence passivation="false">
         <remoteStore xmlns="urn:infinispan:config:remote:6.0"
            fetchPersistentState="false" shared="true" preload="false" ignoreModifications="false" purgeOnStartup="false"
            tcpNoDelay="true" pingOnStartup="true"
            keySizeEstimate="62" valueSizeEstimate="512"
            forceReturnValues="false">
            <servers>
               <server host="127.0.0.1" port="19711"/>
            </servers>
            <connectionPool maxActive="99" maxIdle="97" maxTotal="98" />
         </remoteStore>
      </persistence>
Comment 4 Misha H. Ali 2013-11-14 02:35:28 EST
Thanks, Tristan.

I've made the required changes to the topic here:

http://docbuilder.usersys.redhat.com/12532/#Remote_Cache_Store_Configuration_Library_Mode

Can I get you to check it out and confirm that it looks OK Vitalii?
Comment 5 Vitalii Chepeliuk 2013-11-14 07:00:04 EST
Thanks Tristan, Misha!
It looks OK for me
Comment 6 Misha H. Ali 2013-11-14 07:15:25 EST
Thanks, Vitalii!

Tristan, if you could have a quick look as well I can set this to completed.
Comment 7 Vitalii Chepeliuk 2013-11-14 08:19:11 EST
Sorry Misha there is little mistake in 1 snippet can you please fix it? I overlooked it))
<persistence passivation="false">
		     fetchPersistentState="false" 
		     shared="true" 
		     preload="false" 
		     ignoreModifications="false" 
		     purgeOnStartup="false"
		     tcpNoDelay="true" 
		     pingOnStartup="true"
		     keySizeEstimate="62" 
		     valueSizeEstimate="512"
		     forceReturnValues="false">
	</remoteStore>
</persistence>

Should be
<persistence passivation="false">
        <remoteStore xmlns="urn:infinispan:config:remote:6.0"
		     fetchPersistentState="false" 
		     shared="true" 
		     preload="false" 
		     ignoreModifications="false" 
		     purgeOnStartup="false"
		     tcpNoDelay="true" 
		     pingOnStartup="true"
		     keySizeEstimate="62" 
		     valueSizeEstimate="512"
		     forceReturnValues="false">
	</remoteStore>
</persistence>

And remove this 
Prerequisites:
Create and include a file named hotrod.properties in the relevant classpath. 

And this should be removed too
Important
Define the outbound socket for the remote cache store when using this configuration. The remote cache store property named hotRodClientPropertiesFile refers to the hotrod.properties file. This file must be defined for the Remote Cache Store to operate correctly.
Comment 10 Misha H. Ali 2014-01-15 19:02:53 EST
The fix for this bug is now generally released and available here:

https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.2/index.html

Note You need to log in before you can comment on or make changes to this bug.